Horizon wsgi can run in the wrong WSGIProcessGroup

Bug #1584040 reported by Cedric Brandily on 2016-05-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Icehouse
Undecided
Unassigned
Kilo
Undecided
Unassigned
Liberty
Undecided
Unassigned
Mitaka
Undecided
Unassigned
Newton
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

Horizon wsgi can run in the wrong WSGIProcessGroup when multiple WSGIProcessGroup are defined. Typically with the 2 following configurations enabled on apache2:

# /etc/apache2/conf-enabled/openstack-dashboard.conf
   WSGIScriptAlias /horizon /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi
   WSGIDaemonProcess horizon user=horizon group=horizon processes=3 threads=10
   WSGIProcessGroup horizon
   Alias /static /usr/share/openstack-dashboard/openstack_dashboard/static/
   Alias /horizon/static /usr/share/openstack-dashboard/openstack_dashboard/static/
   <Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi>
     Order allow,deny
     Allow from all
   </Directory>

# /etc/apache2/conf-enabled/wsgi.conf
   WSGIScriptAlias /mywsgi /usr/share/mywsgi/.. process-group=mywsgi
   WSGIDaemonProcess mywsgi user=mywsgi group=mywsgi processes=5 threads=10
   WSGIProcessGroup mywsgi
   <Directory /usr/share/mywsgi>
     Order allow,deny
     Allow from all
   </Directory>

Nothing ensures that Horizon wsgi will run in "horizon" WSGIProcessGroup.

To ensure it we should use:
   WSGIScriptAlias /horizon /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi processes-group=horizon
instead of:
   WSGIScriptAlias /horizon /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi

It affects my Kilo openstack-dashboard on Trusty BUT should affect every openstack-dashboard on every ubuntu

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 2:10.0.0~b1-0ubuntu2

---------------
horizon (2:10.0.0~b1-0ubuntu2) yakkety; urgency=medium

  * Fold Ubuntu theme into themes installed as part of the core
    openstack-dashboard package:
    - d/openstack-dashboard-ubuntu-theme.*,control:
      Make openstack-dashboard-ubuntu-theme transitional.
    - d/openstack-dashboard.install: Install Ubuntu theme.
    - d/theme/ubuntu_theme.py: Drop, no longer needed.
    - d/p/ubuntu_settings.patch: Add Ubuntu theme to list of available
      themes for users.
  * d/p/*: Refresh.
  * d/openstack-dashboard.conf: Ensure wsgi process-group is set for
    horizon application (LP: #1584040), set process display-name to
    wsgi application group for ease of debugging.

 -- James Page <email address hidden> Tue, 07 Jun 2016 11:00:15 +0100

Changed in horizon (Ubuntu Yakkety):
status: New → Fix Released
James Page (james-page) on 2016-06-09
Changed in cloud-archive:
status: New → Fix Committed
James Page (james-page) wrote :

This bug was fixed in the package horizon - 2:10.0.0~b1-0ubuntu2~cloud0
---------------

 horizon (2:10.0.0~b1-0ubuntu2~cloud0) xenial-newton; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 horizon (2:10.0.0~b1-0ubuntu2) yakkety; urgency=medium
 .
   * Fold Ubuntu theme into themes installed as part of the core
     openstack-dashboard package:
     - d/openstack-dashboard-ubuntu-theme.*,control:
       Make openstack-dashboard-ubuntu-theme transitional.
     - d/openstack-dashboard.install: Install Ubuntu theme.
     - d/theme/ubuntu_theme.py: Drop, no longer needed.
     - d/p/ubuntu_settings.patch: Add Ubuntu theme to list of available
       themes for users.
   * d/p/*: Refresh.
   * d/openstack-dashboard.conf: Ensure wsgi process-group is set for
     horizon application (LP: #1584040), set process display-name to
     wsgi application group for ease of debugging.

Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers